ext {

    defaultSetting = [
            compileSdk       : 31,
            buildToolsVersion: "30.0.3",
            appId            : "com.zj365.dc",
            minSdk           : 23,
            targetSdk        : 32,
            versionCode      : 118,
            versionName      : "1.2.0"
    ]


    wx = [
            appid    : "wx032bacb749c0dcb0",
            appSecret: ""
    ]

    umeng = [
            umengKey        : "657bf673a7208a5af1881764",
            umengChannelName: "android友盟统计"
    ]


    url = [
            releaseTime:    String.valueOf(new Date().format("ddHHmm")),
            //正式环境
            debug_url  : "https://app.zhongjian365.com/app/",
            release_url: "https://app.zhongjian365.com/app/",

            h5_debug_url : "https://built.zhongjian365.com/",
            h5_release_url : "https://built.zhongjian365.com/"
            //测试环境
            /*debug_url  : "http://java01.zhongjian365.com/app/",
            release_url: "http://java01.zhongjian365.com/app/",

            h5_debug_url : "http://testbuilt.zhongjian365.com/",
            h5_release_url : "http://testbuilt.zhongjian365.com/"*/


    ]

    image_preifx = [
            /*debug_url  : "http://java01.zhongjian365.com/app/",
            release_url: "http://java01.zhongjian365.com/app/"*/

            debug_url  : "https://app.zhongjian365.com/app/",
            release_url: "https://app.zhongjian365.com/app/"


    ]

    relyOn = [
            ktx                          : 'androidx.core:core-ktx:1.3.2',
            appcompat                    : 'androidx.appcompat:appcompat:1.2.0',
            material                     : 'com.google.android.material:material:1.3.0',
            constraintlayout             : 'androidx.constraintlayout:constraintlayout:2.0.4',

            //轮播图
            banner                       : 'io.github.youth5201314:banner:2.2.2',
            utilcode                     : 'com.blankj:utilcode:1.30.7',
            retrofit2                    : 'com.squareup.retrofit2:retrofit:2.9.0',
            logging                      : 'com.squareup.okhttp3:logging-interceptor:4.9.3',
            okhttp3                      : 'com.squareup.okhttp3:okhttp:4.9.3',
            gson                         : 'com.squareup.retrofit2:converter-gson:2.0.2',

            //协程
            coroutines                   : 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.3.9',
            workmanager                  : 'androidx.work:work-runtime:2.2.0',
            mmkv                         : 'com.tencent:mmkv-static:1.2.7',
            cardview                     : 'androidx.cardview:cardview:1.0.0',
            //glide
            glide                        : 'com.github.bumptech.glide:glide:4.12.0',
            glide_compiler               : 'com.github.bumptech.glide:compiler:4.12.0',
            //navigation
            implementation               : "androidx.navigation:navigation-fragment:2.3.3",
            nav_ui                       : "androidx.navigation:navigation-ui:2.3.3",
            viewpager2                   : 'androidx.viewpager2:viewpager2:1.0.0',
            BaseRecyclerViewAdapterHelper: 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4',
            //arouter
            arouter_api                  : 'com.alibaba:arouter-api:1.5.2',
            arouter_compiler             : 'com.alibaba:arouter-compiler:1.5.2',
            fast_json                    : 'com.alibaba:fastjson:1.2.69',
            fast_json_reflet             : 'org.jetbrains.kotlin:kotlin-reflect:1.5.20',
            // 查看大图
            bigImage                     : 'com.github.SherlockGougou:BigImageViewPager:androidx-6.1.3',

            //沉浸式
            immersionbar                 : 'com.gyf.immersionbar:immersionbar:3.0.0',
            //toast框架
            toast                        : 'com.github.getActivity:ToastUtils:10.3',
            vm                           : 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.4.0',
            //时间工具包
            times_utils                  : 'com.github.tamsiree.RxTool:RxKit:2.6.3',
            x_tablelayout                : 'com.androidkun:XTabLayout:1.1.5',
            acp                          : 'com.mylhyl:acp:1.2.0',
            cirle_image                  : 'de.hdodenhof:circleimageview:3.1.0',
            //图片选择器
            selectPicture                : 'io.github.lucksiege:pictureselector:v2.7.2',
            //时间选择框架
            timeSelect                   : 'com.contrarywind:Android-PickerView:4.1.9',
            switch_button                : 'com.github.zcweng:switch-button:0.0.3@aar',
            //标签选项卡Tablayout第三方库
            jtab                         : 'com.liang.jtab:jtablayout:2.1.1',
            event_bus                    : 'org.greenrobot:eventbus:3.3.1',
            sign                         : 'com.github.F1ReKing:SignatureView:1.1.0',

            gd_location                  : 'com.amap.api:location:latest.integration',
            gd_map                       :  'com.amap.api:3dmap:8.0.1',
            gd_search                    :  'com.amap.api:search:latest.integration',
            wixin                        : 'com.tencent.mm.opensdk:wechat-sdk-android:+',

            //核心必须依赖
            refresh                      : 'com.scwang.smart:refresh-layout-kernel:2.0.1',
            //经典刷新头
            refeesh_header               : 'com.scwang.smart:refresh-header-classics:2.0.1',

            work_manager                 : 'androidx.work:work-runtime-ktx:2.7.1',
            //二维码扫描
            qr_code                      : 'com.github.xuexiangjys:XQRCode:1.1.1',
            easy_swipe                   : 'com.github.anzaizai:EasySwipeMenuLayout:1.1.4',
            app_updata                   : 'com.github.azhon:AppUpdate:3.0.7',
/*            mqtt                         : 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.1.0',
            mqtt_server                  : 'org.eclipse.paho:org.eclipse.paho.android.service:1.1.1',*/
            flexbox                      : 'com.google.android:flexbox:1.1.0',

            video_play                   : 'com.shuyu:gsyVideoPlayer-java:6.0.3',
            video_exo                    : 'com.shuyu:GSYVideoPlayer-exo2:6.0.3',
            video_so                     : 'com.shuyu:gsyVideoPlayer-ex_so:6.0.3',
            costom_crash                 : 'cat.ereza:customactivityoncrash:2.3.0',

            liBan                        : 'top.zibin:Luban:1.1.8',
            bugly                        : 'com.tencent.bugly:crashreport:latest.release',

            jpush_jcore                  : 'cn.jiguang.sdk:jcore:3.2.4',
            jpush                        : 'cn.jiguang.sdk:jpush:4.7.0',

            hms                          : 'com.huawei.hms:push:6.3.0.304',
            jpush_hms                    : 'cn.jiguang.sdk.plugin:huawei:4.7.0',

            oppo_gson                    : 'com.google.code.gson:gson:2.8.6',
            oppo_codec                   : 'commons-codec:commons-codec:1.6',
            annoation                    : 'androidx.annotation:annotation:1.1.0',

            jpush_xiaomi                 : 'cn.jiguang.sdk.plugin:xiaomi:4.7.0',
        //    jpush_oppo                   : 'cn.jiguang.sdk.plugin:oppo:4.7.0',
      //      jpush_vivo                   : 'cn.jiguang.sdk.plugin:vivo:4.7.0',
//            jpush_honor                  : 'cn.jiguang.sdk.plugin:honor:4.7.0',
            //角标
            shortcut_badger              : 'me.leolin:ShortcutBadger:1.1.22@aar',

            // 友盟统计SDK
            umsdk_common                 : 'com.umeng.umsdk:common:9.4.7',// 必选
            umsdk_asms                   : 'com.umeng.umsdk:asms:1.4.0',// 必选
//            MPAndroidChartLatest              :   'com.github.PhilJay:MPAndroidChart:v3.1.0'
//            videoplayer                  :   'cn.yc:VideoPlayer:3.1.0',
//            videoplayerCore              :  'cn.yc:VideoKernel:3.0.6',
            RWidgetHelper                : 'com.github.RuffianZhong:RWidgetHelper:androidx.v0.0.14',
            AndroidGifDrawable           : 'pl.droidsonroids.gif:android-gif-drawable:1.2.24',

            GifDrawable                  : 'pl.droidsonroids.gif:android-gif-drawable:1.2.+',

            xutil                        : 'com.github.xuexiangjys.XUtil:xutil-core:2.0.0',

            //图片预览
            photoviewer                  : 'com.github.ITxiaoguang.PhotoViewer:photoviewer:1.0.0',
            imageloadglide               : 'com.github.ITxiaoguang.PhotoViewer:glideimageloader:1.0.0',

            //体脂秤需要的库
//            stream                       : 'com.annimon:stream:1.2.1',
            rxjave                       : 'io.reactivex.rxjava2:rxjava:2.2.8',
            rxandroid                    : 'io.reactivex.rxjava2:rxandroid:2.1.1',
//            permission                   : 'com.yanzhenjie:permission:2.0.3',
//            autoSize                     :'me.jessyan:autosize:1.2.1',

            //seekbar
            seekbar                      : 'com.github.Jay-Goo:RangeSeekBar:v3.0.0'
    ]
}
